- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- w
- z
- ~

### - s -

- scroll() : geos::geom::CoordinateSequence
- SegmentNode() : geos::noding::SegmentNode
- SegmentString() : geos::noding::SegmentString
- select() : geos::index::chain::MonotoneChain , geos::index::chain::MonotoneChainSelectAction
- set() : geos::geom::IntersectionMatrix
- setAll() : geos::geom::IntersectionMatrix
- setAt() : geos::geom::CoordinateArraySequence , geos::geom::CoordinateSequence
- setAtLeast() : geos::geom::IntersectionMatrix
- setAtLeastIfValid() : geos::geom::IntersectionMatrix
- setBase() : geos::util::GeometricShapeFactory
- setCentre() : geos::util::GeometricShapeFactory
- setDirectedEdges() : geos::planargraph::Edge
- setDistanceTolerance() : geos::simplify::DouglasPeuckerLineSimplifier , geos::simplify::DouglasPeuckerSimplifier , geos::simplify::TaggedLinesSimplifier , geos::simplify::TaggedLineStringSimplifier , geos::simplify::TopologyPreservingSimplifier
- setEdge() : geos::planargraph::DirectedEdge
- setEdgeDepths() : geos::geomgraph::DirectedEdge
- setEndCapStyle() : geos::operation::buffer::BufferOp
- setHeight() : geos::util::GeometricShapeFactory
- setMarked() : geos::planargraph::GraphComponent
- setMaximumIterations() : geos::noding::IteratedNoder
- setNoder() : geos::operation::buffer::BufferBuilder
- setNumPoints() : geos::util::GeometricShapeFactory
- setOrdinate() : geos::geom::CoordinateSequence , geos::geom::CoordinateArraySequence
- setPoints() : geos::geom::CoordinateArraySequence , geos::geom::CoordinateSequence
- setPrecisionModel() : geos::algorithm::LineIntersector
- setQuadrantSegments() : geos::operation::buffer::BufferBuilder , geos::operation::buffer::BufferOp
- setRemoveCollapsedComponents() : geos::precision::SimpleGeometryPrecisionReducer
- setSegmentIntersector() : geos::noding::SinglePassNoder
- setSelfTouchingRingFormingHoleValid() : geos::operation::valid::IsValidOp
- setSize() : geos::util::GeometricShapeFactory
- setSym() : geos::planargraph::DirectedEdge
- setToNull() : geos::geom::Envelope
- setUserData() : geos::geom::Geometry
- setVisited() : geos::planargraph::GraphComponent
- setVisitedEdge() : geos::geomgraph::DirectedEdge
- setVisitedMap() : geos::planargraph::GraphComponent
- setWidth() : geos::util::GeometricShapeFactory
- setWorkingPrecisionModel() : geos::operation::buffer::BufferBuilder
- signedArea() : geos::algorithm::CGAlgorithms
- signExpBits() : geos::precision::CommonBits
- simplify() : geos::simplify::DouglasPeuckerLineSimplifier , geos::simplify::TaggedLinesSimplifier , geos::simplify::DouglasPeuckerLineSimplifier
- SingleInteriorIntersectionFinder() : geos::noding::SingleInteriorIntersectionFinder
- SIRtree() : geos::index::strtree::SIRtree
- size() : geos::geom::GeometryList , geos::noding::SegmentNodeList , geos::index::quadtree::Quadtree
- snap() : geos::noding::snapround::MCIndexPointSnapper
- snapTo() : geos::precision::GeometrySnapper
- STRtree() : geos::index::strtree::STRtree
- Subgraph() : geos::planargraph::Subgraph
- symDifference() : geos::precision::CommonBitsOp , geos::geom::Geometry , geos::precision::EnhancedPrecisionOp